Skip to content

Get details of all workflows ever run

Request

Get all the workflow run instances for the workflow specified by the workflow name.

Security
bearer
Path
workflow_namestringrequired

Specify the workflow Name to get all the workflow run instances.

Query
paramsobjectrequired

params can be prefix, startDate, endDate and limit

prefix : prefix of the runId.

startDate : Date on which workflow was triggered.

endDate : Date on which workflow execution ended.

limit : number of results.

Example:startDate=1617709000423&endDate=1617710801960&limit=1&prefix=5
Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflow_name}/workflowRun?params=startDate%3D1617709000423%26endDate%3D1617710801960%26limit%3D1%26prefix%3D5' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

OK.

Bodyapplication/json
Array [
endTimeStampnumberread-only

End timestamp of the workflow run. Epoch timestamp.

runIdstringread-only

Run id for the workflow.

startTimeStampnumberread-only

Start timestamp of the workflow run. Epoch time stamp.

statusstring(status)

Task execution status

Enum:"submitted""running""failed""success"
submittedBystringread-only

System captured user details which triggered the run.

workflowEngineExecutionDatestring, (date-time)
workflowIdstringread-only

Workflow id for the workflow.

workflowNamestring

Name of the workflow.

]
Response
[ { "endTimeStamp": 0, "runId": "string", "startTimeStamp": 0, "status": "submitted", "submittedBy": "string", "workflowEngineExecutionDate": "2019-08-24T14:15:22Z", "workflowId": "string", "workflowName": "string" } ]